#include <stdio.h>

int isLeapYear(int year) {
    if ((year % 4 == 0 && year % 100 != 0) || year % 400 == 0) {
        return 1; // 
    } else {
        return 0; // 
    }
}

int getDayOfYear(int year, int month, int day) {
    int daysInMonth[] = {0, 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31};
    int dayOfYear = 0;
	int i;
    for (i = 1; i < month; i++) {
        dayOfYear += daysInMonth[i];
    }

    dayOfYear += day;

    if (isLeapYear(year) && month > 2) {
        dayOfYear++;
    }

    return dayOfYear;
}

int main() {
    int year, month, day;

    scanf("%d %d %d", &year, &month, &day);

    int dayOfYear = getDayOfYear(year, month, day);
    printf("%d\n", dayOfYear);

    return 0;
}
